#
# spec file for package kchmviewer (Version 2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libgcc libgcrypt libgpg-error libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libselinux libstdc++ libstdc++-devel libtiff libtiff-devel libtool libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:         kchmviewer
BuildRequires: kdelibs3-devel kdelibs3-doc
License:      GPL
Group:        Productivity/Office/Other
Summary:      KDE chm viewer (MS Windows compressed HTML documents)
Version:      2.0
Release:      2
URL:          http://kchmviewer.sourceforge.net/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       %name-%version.tar.gz
Patch:        %name.diff

%description
This is a viewer for the chm files known from the MS Windows world. It
does support complex searching for large books and has various viewing
features.



Authors:
--------
    <tim@krasnogorsk.ru>

%debug_package
%prep 
%setup -q 
%patch
. /etc/opt/kde3/common_options
update_admin --no-unsermake

%build
. /etc/opt/kde3/common_options
./configure $configkde --with-kde \
%if %{_arch} == "x86_64"
  --with-qt-libraries=/usr/lib/qt3/lib64 \
  --enable-libsuffix=64
%else
%endif
make %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
#kde_post_install
%suse_update_desktop_file %name  Office Viewer

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/kde3/bin/*
/opt/kde3/%_lib/*
/opt/kde3/share/appl*/*/*.desktop
/opt/kde3/share/services/msits.protocol

%changelog -n kchmviewer
* Fri Feb 10 2006 - joe_morris@ntm.org
- minor fixes to spec file to build on x86_64
* Mon Feb 06 2006 - stbinner@suse.de
- update to version 2.0
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 28 2005 - stbinner@suse.de
- update to version 1.3
* Mon Nov 21 2005 - stbinner@suse.de
- update to version 1.2
* Sun Oct 30 2005 - stbinner@suse.de
- update to version 1.1
* Wed Oct 26 2005 - stbinner@suse.de
- update internal CHM lib copy to 0.37 to fix exploitable buffer
  overflow (#130751)
* Tue Oct 11 2005 - dmueller@suse.de
- fix build
* Tue Sep 27 2005 - dmueller@suse.de
- fix build
* Wed Aug 17 2005 - schwab@suse.de
- Fix to build.
* Tue Aug 02 2005 - coolo@suse.de
- cleaning up behind project management
* Fri Jul 29 2005 - adrian@suse.de
- initial package of version 1.0
